[ARVADOS] updated: 1.3.0-1121-g773ed2244
Git user
git at public.curoverse.com
Tue Jun 18 20:12:56 UTC 2019
Summary of changes:
build/run-tests.sh | 38 ++++++++++++++++++++------------------
1 file changed, 20 insertions(+), 18 deletions(-)
via 773ed2244fec38f47ce82607c6df70d4c99a4f82 (commit)
from a7cdd1faaf1de132fa556944bc86831ebdfe8886 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 773ed2244fec38f47ce82607c6df70d4c99a4f82
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Tue Jun 18 16:03:37 2019 -0400
Check for up-to-date govendor as a test rather than a setup task.
No issue #
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index fa0d8ca7f..9ccfe9268 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -648,23 +648,8 @@ install_env() {
ln -vsfT "$WORKSPACE" "$GOPATH/src/git.curoverse.com/arvados.git"
go get -v github.com/kardianos/govendor
cd "$GOPATH/src/git.curoverse.com/arvados.git"
- if [[ -n "$short" ]]; then
- go get -v -d ...
- "$GOPATH/bin/govendor" sync
- else
- # Remove cached source dirs in workdir. Otherwise, they will
- # not qualify as +missing or +external below, and we won't be
- # able to detect that they're missing from vendor/vendor.json.
- rm -rf vendor/*/
- go get -v -d ...
- "$GOPATH/bin/govendor" sync
- [[ -z $("$GOPATH/bin/govendor" list +unused +missing +external | tee /dev/stderr) ]] \
- || fatal "vendor/vendor.json has unused or missing dependencies -- try:
-
-(export GOPATH=\"${GOPATH}\"; cd \$GOPATH/src/git.curoverse.com/arvados.git && \$GOPATH/bin/govendor add +missing +external && \$GOPATH/bin/govendor remove +unused)
-
-";
- fi
+ go get -v -d ...
+ "$GOPATH/bin/govendor" sync
) || fatal "Go setup failed"
setup_virtualenv "$VENVDIR" --python python2.7
@@ -749,7 +734,7 @@ do_test() {
services/api)
stop_services
;;
- gofmt | doc | lib/cli | lib/cloud/azure | lib/cloud/ec2 | lib/cmd | lib/dispatchcloud/ssh_executor | lib/dispatchcloud/worker)
+ gofmt | govendor | doc | lib/cli | lib/cloud/azure | lib/cloud/ec2 | lib/cmd | lib/dispatchcloud/ssh_executor | lib/dispatchcloud/worker)
# don't care whether services are running
;;
*)
@@ -1067,6 +1052,22 @@ test_gofmt() {
[[ -z "$(gofmt -e -d $dirs | tee -a /dev/stderr)" ]]
}
+test_govendor() {
+ cd "$GOPATH/src/git.curoverse.com/arvados.git" || return 1
+ # Remove cached source dirs in workdir. Otherwise, they will
+ # not qualify as +missing or +external below, and we won't be
+ # able to detect that they're missing from vendor/vendor.json.
+ rm -rf vendor/*/
+ go get -v -d ...
+ "$GOPATH/bin/govendor" sync
+ [[ -z $("$GOPATH/bin/govendor" list +unused +missing +external | tee /dev/stderr) ]] \
+ || fatal "vendor/vendor.json has unused or missing dependencies -- try:
+
+(export GOPATH=\"${GOPATH}\"; cd \$GOPATH/src/git.curoverse.com/arvados.git && \$GOPATH/bin/govendor add +missing +external && \$GOPATH/bin/govendor remove +unused)
+
+";
+}
+
test_services/api() {
rm -f "$WORKSPACE/services/api/git-commit.version"
cd "$WORKSPACE/services/api" \
@@ -1187,6 +1188,7 @@ test_all() {
fi
do_test gofmt
+ do_test govendor
do_test doc
do_test sdk/ruby
do_test sdk/R
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list